//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

import net.ihe.gazelle.tempmodel.org.decor.art.behavior.HasParent;


/**
 * <p>Java class for anonymous complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;attribute name="valueSet" type="{}BasicIdOrOid" /&gt;
 *       &lt;attribute name="flexibility" type="{}StaticOrDynamicFlexibility" default="dynamic" /&gt;
 *       &lt;attribute name="code" type="{}EnumerationString" /&gt;
 *       &lt;attribute name="codeSystem" type="{}Oid" /&gt;
 *       &lt;attribute ref="{}displayName"/&gt;
 *       &lt;attribute name="codeSystemName" type="{}NonEmptyString" /&gt;
 *       &lt;attribute name="domain" type="{}NonEmptyString" /&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "")
@XmlRootElement(name = "vocabulary")
public class Vocabulary implements HasParent{

    @XmlAttribute(name = "valueSet")
    private String valueSet;
    @XmlAttribute(name = "flexibility")
    private String flexibility;
    @XmlAttribute(name = "code")
    private String code;
    @XmlAttribute(name = "codeSystem")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String codeSystem;
    @XmlAttribute(name = "displayName")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String displayName;
    @XmlAttribute(name = "codeSystemName")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String codeSystemName;
    @XmlAttribute(name = "domain")
    @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
    private String domain;
    
    @XmlTransient
   	private Object parentObject;
    
    @SuppressWarnings("unchecked")
	public Object getParentObject() {
		return parentObject;
	}

	public void setParentObject(Object parentComponent) {
		this.parentObject = parentComponent;
	}
	
	void afterUnmarshal( javax.xml.bind.Unmarshaller u, Object parent ){
		this.parentObject = parent;
	}

    /**
     * Gets the value of the valueSet property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getValueSet() {
        return valueSet;
    }

    /**
     * Sets the value of the valueSet property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setValueSet(String value) {
        this.valueSet = value;
    }

    /**
     * Gets the value of the flexibility property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getFlexibility() {
        if (flexibility == null) {
            return "dynamic";
        } else {
            return flexibility;
        }
    }

    /**
     * Sets the value of the flexibility property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setFlexibility(String value) {
        this.flexibility = value;
    }

    /**
     * Gets the value of the code property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCode() {
        return code;
    }

    /**
     * Sets the value of the code property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCode(String value) {
        this.code = value;
    }

    /**
     * Gets the value of the codeSystem property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCodeSystem() {
        return codeSystem;
    }

    /**
     * Sets the value of the codeSystem property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCodeSystem(String value) {
        this.codeSystem = value;
    }

    /**
     * Gets the value of the displayName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDisplayName() {
        return displayName;
    }

    /**
     * Sets the value of the displayName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDisplayName(String value) {
        this.displayName = value;
    }

    /**
     * Gets the value of the codeSystemName property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getCodeSystemName() {
        return codeSystemName;
    }

    /**
     * Sets the value of the codeSystemName property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setCodeSystemName(String value) {
        this.codeSystemName = value;
    }

    /**
     * Gets the value of the domain property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDomain() {
        return domain;
    }

    /**
     * Sets the value of the domain property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDomain(String value) {
        this.domain = value;
    }

}
